Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Instance Methods | Class Methods | Protected Attributes | Properties | List of all members
osxPlatState Class Reference

`#import <platformOSX.h>`

Inheritance diagram for osxPlatState:

## Instance Methods
(BOOL) | - initializeTorque2D
(void) | - runTorque2D
(void) | - shutDownTorque2D
(void) | - updateWindowTitle:
(void) | - setWindowSize:height:
(Point2I &) | - getWindowSize
(U32) | - windowWidth
(U32) | - windowHeight

## Class Methods
(id) | + sharedPlatState

## Protected Attributes
NSWindow * | _window
OSXTorqueView * | _torqueView
CGDirectDisplayID | _cgDisplay
id | _applicationID
U32 | osVersion
U32 | _argc
const char ** | _argv
Point2I | _windowSize
U32 | _desktopBitsPixel
U32 | _desktopWidth
U32 | _desktopHeight
U32 | _currentSimTime
U32 | _lastTimeTick
U32 | _sleepTicks
NSString * | _mainCSDirectory
NSString * | _windowTitle
void * | _alertSemaphore
RandomLCG * | _platformRandom
BOOL | _mouseLocked
BOOL | _backgrounded
BOOL | _minimized
BOOL | _fullscreen
BOOL | _quit
NSTimer * | _osxTimer

## Properties
NSWindow * | window
OSXTorqueView * | torqueView
CGDirectDisplayID | cgDisplay
id | applicationID
void * | alertSemaphore
RandomLCG * | platformRandom
BOOL | fullScreen
U32 | argc
const char ** | argv
U32 | desktopBitsPixel
U32 | desktopWidth
U32 | desktopHeight
U32 | currentSimTime
U32 | lastTimeTick
U32 | sleepTicks
NSString * | mainCSDirectory
NSString * | windowTitle
BOOL | mouseLocked
BOOL | backgrounded
BOOL | minimized
BOOL | quit
NSTimer * | osxTimer

## Method Documentation

- (Point2I &) getWindowSize |  |  |

- (BOOL) initializeTorque2D |  |  |

- (void) runTorque2D |  |  |

- (void) setWindowSize: |  | (int) | width
height: |  | (int) | height

+ (id) sharedPlatState |  |  |

- (void) shutDownTorque2D |  |  |

- (void) updateWindowTitle: |  | (const char*) | title |

- (U32) windowHeight |  |  |

- (U32) windowWidth |  |  |

## Member Data Documentation

- (void*) _alertSemaphore
| protected

- (id) _applicationID
| protected

- (U32) _argc
| protected

- (const char**) _argv
| protected

- (BOOL) _backgrounded
| protected

- (CGDirectDisplayID) _cgDisplay
| protected

- (U32) _currentSimTime
| protected

- (U32) _desktopBitsPixel
| protected

- (U32) _desktopHeight
| protected

- (U32) _desktopWidth
| protected

- (BOOL) _fullscreen
| protected

- (U32) _lastTimeTick
| protected

- (NSString*) _mainCSDirectory
| protected

- (BOOL) _minimized
| protected

- (BOOL) _mouseLocked
| protected

- (NSTimer*) _osxTimer
| protected

- (RandomLCG*) _platformRandom
| protected

- (BOOL) _quit
| protected

- (U32) _sleepTicks
| protected

- (OSXTorqueView*) _torqueView
| protected

- (NSWindow*) _window
| protected

- (Point2I) _windowSize
| protected

- (NSString*) _windowTitle
| protected

- (U32) osVersion
| protected

## Property Documentation

- (void*) alertSemaphore
| read write atomic

- (id) applicationID
| read write atomic strong

- (U32) argc
| read write atomic

- (const char**) argv
| read write atomic

- (BOOL) backgrounded
| read write atomic

- (CGDirectDisplayID) cgDisplay
| read write atomic

- (U32) currentSimTime
| read write atomic

- (U32) desktopBitsPixel
| read write atomic

- (U32) desktopHeight
| read write atomic

- (U32) desktopWidth
| read write atomic

- (BOOL) fullScreen
| read write atomic

- (U32) lastTimeTick
| read write atomic

- (NSString*) mainCSDirectory
| read write nonatomic retain

- (BOOL) minimized
| read write atomic

- (BOOL) mouseLocked
| read write atomic

- (NSTimer*) osxTimer
| read write atomic strong

- (RandomLCG*) platformRandom
| read write atomic

- (BOOL) quit
| read write atomic

- (U32) sleepTicks
| read write atomic

- (OSXTorqueView*) torqueView
| read write atomic strong

- (NSWindow*) window
| read write atomic strong

- (NSString*) windowTitle
| read write nonatomic retain

The documentation for this class was generated from the following files:

- platformOSX/platformOSX.h
- platformOSX/platformOSX.mm